package com.acethewildfire.acesbs.item;

import com.acethewildfire.acesbs.item.custom.*;
import com.acethewildfire.acesbs.trim.ModTrimMaterials;
import net.minecraft.item.*;
import net.minecraft.item.equipment.EquipmentType;

public class AshenSteelItems {

    public static final Item ASHEN_STEEL = ModItems.registerItem("ashen_steel", setting -> new Item(setting.trimMaterial(ModTrimMaterials.ASHEN_STEEL)));
    public static final Item ASHEN_STEEL_SWORD = ModItems.registerItem("ashen_steel_sword",
            setting -> new Item(setting.sword(ModToolMaterials.ASHEN_STEEL, 3, -2.4f)));
    public static final Item ASHEN_STEEL_SHOVEL = ModItems.registerItem("ashen_steel_shovel",
            setting -> new SmeltingShovel(ModToolMaterials.ASHEN_STEEL, 1.5F, -3.0F, setting));
    public static final Item ASHEN_STEEL_PICKAXE = ModItems.registerItem("ashen_steel_pickaxe",
            setting -> new SmeltingPickaxe(setting.pickaxe(ModToolMaterials.ASHEN_STEEL, 1.0F, -2.8F)));
    public static final Item ASHEN_STEEL_HAMMER = ModItems.registerItem("ashen_steel_hammer",
            setting -> new SmeltingHammer(ModToolMaterials.ASHEN_STEEL, 9.0F, -3.4F, setting.maxDamage(9886)));
    public static final Item ASHEN_STEEL_AXE = ModItems.registerItem("ashen_steel_axe",
            setting -> new SmeltingAxe(ModToolMaterials.ASHEN_STEEL, 6.0F, -3.1F, setting));
    public static final Item ASHEN_STEEL_HOE = ModItems.registerItem("ashen_steel_hoe",
            setting -> new HoeItem(ModToolMaterials.ASHEN_STEEL, -2.0F, -1.0F, setting));
    public static final Item ASHEN_STEEL_HELMET = ModItems.registerItem("ashen_steel_helmet",
            setting -> new ModArmorItem(setting
                    .armor(ModArmorMaterials.ASHEN_STEEL_ARMOR_MATERIAL, EquipmentType.HELMET)
                    .maxDamage(EquipmentType.HELMET.getMaxDamage(15))));
    public static final Item ASHEN_STEEL_CHESTPLATE = ModItems.registerItem("ashen_steel_chestplate",
            setting -> new ModArmorItem(setting
                    .armor(ModArmorMaterials.ASHEN_STEEL_ARMOR_MATERIAL, EquipmentType.CHESTPLATE)
                    .maxDamage(EquipmentType.CHESTPLATE.getMaxDamage(15))));
    public static final Item ASHEN_STEEL_LEGGINGS = ModItems.registerItem("ashen_steel_leggings",
            setting -> new ModArmorItem(setting
                    .armor(ModArmorMaterials.ASHEN_STEEL_ARMOR_MATERIAL, EquipmentType.LEGGINGS)
                    .maxDamage(EquipmentType.LEGGINGS.getMaxDamage(15))));
    public static final Item ASHEN_STEEL_BOOTS = ModItems.registerItem("ashen_steel_boots",
            setting -> new ModArmorItem(setting
                    .armor(ModArmorMaterials.ASHEN_STEEL_ARMOR_MATERIAL, EquipmentType.BOOTS)
                    .maxDamage(EquipmentType.BOOTS.getMaxDamage(15))));
    public static final Item ASHEN_SMITHING_TEMPLATE = ModItems.registerItem("ashen_armor_trim_smithing_template",
            SmithingTemplateItem::of);

    public static void registerAshenItems() {
        // Do nothing, this just makes sure the items get registered
    }
}
